Skip to main content

Get Location Info

Description

Retrieve the vehicle’s location information, including latitude and longitude coordinates, altitude, direction, and speed.

Endpoint

GET https://api.pleos.ai/v1/vehicles/{vin}/locations

Request

curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/locations" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"

Header Params

ParameterTypeDescriptionRequired
AuthorizationstringAccess tokenRequired
BrandstringVehicle brand (hyundai/kia/genesis)Required

Path Params

ParameterTypeDescriptionRequired
vinstringVINRequired

Response

Success

200
{
"data": {
"location": {
"latitude": 49.9749,
"longitude": 8.4412,
"altitude": 10,
"heading": 180,
"speed": {
"value": 10,
"unit": "kph"
},
"type": 0
},
"timestamp": "2025-09-01T09:10:00Z"
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
locationobjectLatest location information of the vehicle
└─ latitudenumberLatitude of the vehicle (unit: °, range: -90~90)
└─ longitudenumberLongitude of the vehicle (unit: °, range: -180~180)
└─ altitudenumberAltitude of the vehicle (unit: m, range: -100~10000)
└─ headingnumberHeading angle of the vehicle (unit: °, range: 0~359)
└─ speedobjectSpeed information of the vehicle
└────── valuenumberSpeed of the vehicle (range: 0~1000)
└────── unitstringSpeed unit of the vehicle (kph, mph, mps, invalid)
└─ typeintegerCoordinate system type of GPS
- 0: WGS84
- 1: Bessel
- 2: CoordShift
timestampstringTimestamp when data was transmitted from the vehicle (based on UTC+0) yyyy-MM-dd'T'HH:mm:ss'Z'

Failure

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For a detailed explanation of the error code in case of failure, refer to Error Code.